<bugID>1109636<Summary>[UX] Improve the search panel when suggestions are disabled</Summary><Description>This is an edge case that happens when search engine suggestions are turned off, so the 'suggestions' displayed are hits from the user's search history.

STR
Type a search text that is not in the search history

The search text appears
* in the search box
* as the only suggestion
* in the "search for x with" text

Expected behaviour:
Arguably, three times is a bit much and the "suggestions" top part of the search panel should simply go away when there are no suggestions.</Description></bugID>